﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace xamDoughnutChartCodeBehind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            var source = new HierarchalDataCollection();

            InitializeComponent();

            this.slice.Series.Add(new RingSeries
            {
                LabelMemberPath = "Label",
                ValueMemberPath = "productionShare",
                LabelsPosition = LabelsPosition.BestFit,
                ItemsSource = source
            });
        }
    }

    public class Category
    {
        public string Label { get; set; }
        public double productionShare { get; set; }
    }

    public class HierarchalDataCollection : List<Category>
    {
        public HierarchalDataCollection()
        {
            this.Add(new Category { Label = "Footwear", productionShare = 46 });
            this.Add(new Category { Label = "Clothing", productionShare = 38 });
            this.Add(new Category { Label = "Accessories", productionShare = 16 });
        }
    }
}
